# tk_sql_lib

**tk_sql_lib** is a simple Python library designed for building GUI-based applications using **Tkinter** and **SQLite3**.  
It was developed as part of an exam preparation project, and contains a minimal, self-contained toolkit for working with:

- GUI forms (Tkinter)
- Local databases (SQLite)
- Text data
- Embedded static resources (such as images and text files)

## Features

- Modular design with three main modules:
  - `main.py`: entry point and basic application structure
  - `db.py`: database helper functions for SQLite3
  - `dashboard.py`: graphical interface/dashboard using Tkinter
- Includes two sample `.txt` files with mock data
- Includes a sample `.png` image for demonstration purposes

## Use Cases

- Educational projects using Tkinter and SQLite
- Rapid prototyping of desktop applications
- Offline testing and GUI/database interaction demos

## Installation

To install the library locally:

```bash
pip install .
